Bug 7739 - Batch edit items of a title
Summary: Batch edit items of a title
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: shinoy m
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 14:15 UTC by Savitra Sirohi
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Batch edit items of a title. (5.89 KB, patch)
2012-04-10 09:34 UTC, shinoy m
Details | Diff | Splinter Review
improved patch (5.33 KB, patch)
2012-04-19 07:15 UTC, shinoy m
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7739 - Batch edit items of a title (5.40 KB, patch)
2012-05-07 14:39 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Savitra Sirohi 2012-03-19 14:15:50 UTC
We would like to know if it would be possible to develop a feature that would allow us to select more then 1 item to edit in the "edit items" screen. We want to be able to search for a title - click edit - edit items - and from this screen be able to choose more then one item to edit at a time.
Comment 1 Savitra Sirohi 2012-03-19 14:21:20 UTC
Draft design:

Call BatchMod.pl from additems.pl (Edit items). User will select items to batch edit from the additem.pl page and click on a button (Batch Modify) to go to the batch item modify tool.

Normally users upload a file containing barcodes or enter the list of barcodes in a box as input to the batch item modify tool, in this case this step will be bypassed as the selection of items will be made from the additem.pl page.
Comment 2 shinoy m 2012-04-10 09:34:09 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2012-04-10 21:02:34 UTC
This will need to follow the tools_items_batchmod permission for batch modification. The option should only appear if users have the items_batchmod permission.
Comment 4 Liz Rea 2012-04-10 21:02:57 UTC
(otherwise, I LOVE it. Please please make this trivial change and resubmit, this is super great.)
Comment 5 shinoy m 2012-04-19 07:15:40 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-05-07 14:39:42 UTC
Created attachment 9430 [details] [review]
[SIGNED-OFF] Bug 7739 - Batch edit items of a title

A new option - Edit items in batch - is made available under the menu - Edit - in the catalog detail page. When this option is selected the tool batch item modification is called with all items under this biblio passed as parameters.

User can then edit all items of this biblio in batch. Once changes are saved the "done" link takes the user back to the catalog detail page of this biblio.

To test:
    Navigate to catalog detail page of any biblio with one or more item records. Use the option "Edit items in batch" from the "Edit" menu. Modify the items in batch, say the collction code or lost status. Press "Save", verify that changes have been effected in the confirmation screen. Use the "Done" link to navigate back to the catalog detail page.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 7 Jonathan Druart 2012-05-10 13:44:54 UTC
QA Comment:
Works as expected. Patch clean.

Marked as Passed QA.
Comment 8 Paul Poulain 2012-05-11 10:21:34 UTC
QA comment : Nicole => "Edit Items In Batch" is wrong according to our guidelines.
I've fixed to "Edit items in batch" when pushing, please don't forget this rule !